> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.amniscient.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.amniscient.com/_mcp/server.

# Find Inference Point by ID

GET https://api.amniscient.com/config/inference-point/{inferencePointId}

Find an existing inference point within your organization using a unique identifier.

Reference: https://docs.amniscient.com/api/api-reference/find-inference-point-by-id

## Request

### Path parameters

- `inferencePointId` (string, required) — The unique identifier for the already existing inference point within your organization.

### Query parameters

- `organizationId` (string, required) — Your organization's unique identifier.

### Headers

- `x-api-key` (string, required) — Your organization's active API Key.

## Response

### 200

200 - Inference point retrieved successfully

- `id` (string, optional) — The unique identifier for the already existing inference point within your organization.
- `name` (string, optional) — The unique name for the already existing inference point within your organization.
- `tag` (string, optional) — The descriptive tag for the already existing inference point within your organization.
- `modelId` (string, optional) — The unique identifier of the model associated to the inference point returned within your organization. If this value is null, the inference point returned is not currently associated to a model.
- `updatedBy` (string, optional) — The email of the user that most recently updated this inference point within your organization. If this parameter is left empty, the value will default to 'API'.

## Errors

### 400 Bad Request Error

Invalid request

- `status` (string, optional) — A status code denoting success or failure.
- `message` (string, optional) — A message describing the successful action or error state.

### 401 Unauthorized Error

Unauthorized

- `status` (string, optional) — A status code denoting success or failure.
- `message` (string, optional) — A message describing the successful action or error state.

## Examples

**Response**

```json
{
  "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "name": "inference-point-name",
  "tag": "test-tag",
  "modelId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "updatedBy": "API"
}
```

**SDK Code**

```python SuccessExample
import requests

url = "https://api.amniscient.com/config/inference-point/inferencePointId"

querystring = {"organizationId":"organizationId"}

headers = {"x-api-key": "x-api-key"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript SuccessExample
const url = 'https://api.amniscient.com/config/inference-point/inferencePointId?organizationId=organizationId';
const options = {method: 'GET', headers: {'x-api-key': 'x-api-key'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go SuccessExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.amniscient.com/config/inference-point/inferencePointId?organizationId=organizationId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "x-api-key")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby SuccessExample
require 'uri'
require 'net/http'

url = URI("https://api.amniscient.com/config/inference-point/inferencePointId?organizationId=organizationId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = 'x-api-key'

response = http.request(request)
puts response.read_body
```

```java SuccessExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.amniscient.com/config/inference-point/inferencePointId?organizationId=organizationId")
  .header("x-api-key", "x-api-key")
  .asString();
```

```php SuccessExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.amniscient.com/config/inference-point/inferencePointId?organizationId=organizationId', [
  'headers' => [
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp SuccessExample
using RestSharp;

var client = new RestClient("https://api.amniscient.com/config/inference-point/inferencePointId?organizationId=organizationId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "x-api-key");
IRestResponse response = client.Execute(request);
```

```swift SuccessExample
import Foundation

let headers = ["x-api-key": "x-api-key"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.amniscient.com/config/inference-point/inferencePointId?organizationId=organizationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```